LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XStatusIndicatorSupplier Interface Referencepublished

use XStatusIndicatorFactory instead of this More...

`import"XStatusIndicatorSupplier.idl";`

Inheritance diagram for XStatusIndicatorSupplier:

## Public Member Functions
com::sun::star::task::XStatusIndicator | getStatusIndicator ()
| use XStatusIndicatorFactory::createStatusIndicator() instead of this More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

use XStatusIndicatorFactory instead of this

Deprecated:

## Member Function Documentation

com::sun::star::task::XStatusIndicator getStatusIndicator | ( |  | ) |

use XStatusIndicatorFactory::createStatusIndicator() instead of this

Deprecated:

The documentation for this interface was generated from the following file:

- com/sun/star/task/XStatusIndicatorSupplier.idl